#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gst-plugins-rs-1.28.2

- Next

  id3lib-3.8.3

- Up
- Home

# gst-libav-1.28.2

## Introduction to GStreamer Libav

The GStreamer Libav package contains GStreamer plugins for Libav (a fork of FFmpeg).

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gst-libav/gst-libav-1.28.2.tar.xz

- Download MD5 sum: ce698b62c836a95a286aa0251529aef9

- Download size: 204 KB

- Estimated disk space required: 11 MB

- Estimated build time: less than 0.1 SBU

### GStreamer Libav Dependencies

#### Required

FFmpeg-8.1 and gst-plugins-base-1.28.2

#### Recommended

yasm-1.3.0

#### Optional

hotdoc

## Installation of GStreamer Libav

Install GStreamer Libav by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release &&
    ninja

To run the tests, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Programs: None
Installed Library: libgstlibav.so in /usr/lib/gstreamer-1.0
Installed Directory: None

- Prev

  gst-plugins-rs-1.28.2

- Next

  id3lib-3.8.3

- Up
- Home